class FootstepParticle {
	constructor(game, texture, x, y, r){
		this.game = game;
		
		// Rendering
		this.layer = "background";
		this.texture = texture;
		this.sx = Math.floor(Math.random() * texture.width);
		this.sy = Math.floor(Math.random() * texture.height);
		
		// Scale
		this.scale = 6;
		
		// Physics
		this.x = x;
		this.y = y;
		this.r = r;
		this.vx = (Math.random() * 2 - 1) * 0.2;
		this.vy = (Math.random() * 2 - 1) * 0.2;
		this.vr = 0;
		
		// Footstep Particle
		this.maxLife = 1;
		this.life = this.maxLife;
	}
	
	
	update(delta){
		// Physics
		this.x += this.vx * delta * 60;
		this.y += this.vy * delta * 60;
		this.r += this.vr * delta * 60;
		
		return this.life -= delta;
	}
	
	
	draw(context, textures, atlas){
		this.size = this.life/this.maxLife * this.scale;
		
		context.save();
		context.translate(this.x, this.y);
		context.rotate(this.r/180*Math.PI);
		
		context.drawImage(this.texture, this.sx, this.sy, 1, 1, -this.size/2, -this.size/2, this.size, this.size);

		context.restore();
	}
}
